发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:44:05

[原文]Multiple features in Ipswitch IMail Server before 8.13 allow remote attackers to cause a denial of service (crash) via (1) a long sender field to the Queue Manager or (2) a long To field to the Web Messaging component.

[CNNVD]Ipswitch IMail Server多个缓冲区溢出拒绝服务漏洞(CNNVD-200412-1106)

        Ipswitch IMail Server 8.13之前版本的多个功能存在漏洞。远程攻击者可以通过(1)一个到Queue Manager的超长sender字段,或者(2)一个到Web Messaging组件的超长To字段导致拒服务拒绝(崩溃)。

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:ipswitch:imail:8.1Ipswitch IMail 8.1
cpe:/a:ipswitch:imail:5.0Ipswitch IMail 5.0
cpe:/a:ipswitch:imail:7.0.7Ipswitch IMail 7.0.7
cpe:/a:ipswitch:imail:6.2Ipswitch IMail 6.2
cpe:/a:ipswitch:imail:6.4Ipswitch IMail 6.4
cpe:/a:ipswitch:imail:6.1Ipswitch IMail 6.1
cpe:/a:ipswitch:imail:6.3Ipswitch IMail 6.3
cpe:/a:ipswitch:imail:6.0.2Ipswitch IMail 6.0.2
cpe:/a:ipswitch:imail:5.0.7Ipswitch IMail 5.0.7
cpe:/a:ipswitch:imail:8.0.3Ipswitch IMail 8.0.3
cpe:/a:ipswitch:imail:6.0.5Ipswitch IMail 6.0.5
cpe:/a:ipswitch:imail:6.0.6Ipswitch IMail 6.0.6
cpe:/a:ipswitch:imail:5.0.8Ipswitch IMail 5.0.8
cpe:/a:ipswitch:imail:5.0.6Ipswitch IMail 5.0.6
cpe:/a:ipswitch:imail:6.0.4Ipswitch IMail 6.0.4
cpe:/a:ipswitch:imail:7.0.5Ipswitch IMail 7.0.5
cpe:/a:ipswitch:imail:7.1Ipswitch IMail 7.1
cpe:/a:ipswitch:imail:5.0.5Ipswitch IMail 5.0.5
cpe:/a:ipswitch:imail:6.0Ipswitch IMail 6.0
cpe:/a:ipswitch:imail:7.0.4Ipswitch IMail 7.0.4
cpe:/a:ipswitch:imail:7.0.6Ipswitch IMail 7.0.6
cpe:/a:ipswitch:imail:6.0.3Ipswitch IMail 6.0.3
cpe:/a:ipswitch:imail:7.0.2Ipswitch IMail 7.0.2
cpe:/a:ipswitch:imail:6.0.1Ipswitch IMail 6.0.1
cpe:/a:ipswitch:imail:7.0.1Ipswitch IMail 7.0.1
cpe:/a:ipswitch:imail:7.0.3Ipswitch IMail 7.0.3
cpe:/a:ipswitch:imail:7.12Ipswitch IMail 7.12
cpe:/a:ipswitch:imail:8.0.5Ipswitch IMail 8.0.5

- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(PATCH)  XF  ipswitch-web-messaging-dos(17222)
(PATCH)  XF  ipswitch-queue-manager-dos(17219)
(PATCH)  BID  11106
(PATCH)  OSVDB  9554
(PATCH)  OSVDB  9552

- 漏洞信息

Ipswitch IMail Server多个缓冲区溢出拒绝服务漏洞
中危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
        Ipswitch IMail Server 8.13之前版本的多个功能存在漏洞。远程攻击者可以通过(1)一个到Queue Manager的超长sender字段,或者(2)一个到Web Messaging组件的超长To字段导致拒服务拒绝(崩溃)。

- 公告与补丁

        The vendor has released version 8.13 to address these issues:
        Ipswitch IMail 8.1

- 漏洞信息

Ipswitch IMail Queue Manager Sender Field DoS
Remote / Network Access Denial of Service
Loss of Availability Upgrade
Exploit Public Vendor Verified

- 漏洞描述

Ipswitch IMail contains a flaw within queue manager that may allow a remote denial of service. The issue is triggered when a user sends a specially crafted email message with an abnormally long 'sender' field occurs, and will result in loss of availability for the server.

- 时间线

2004-09-03 Unknow
2004-09-03 Unknow

- 解决方案

Upgrade to version 8.13 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete